/* The standard CSS for doxygen */

html, body{
	font-family: 'Roboto', sans-serif;
  font-weight: 300;
  color: #444;
}

.project_title {
}

h1, h2, h3 {
  font-weight: 300!important;
}

header h1 {
  color: #333;
  font-weight: 300;
  font-size: 1.5em;
  margin-top: 4px;
  margin-bottom: 4px;
}

header h2 {
  color: #333;
  font-weight: 300;
  font-size: 1.2em!important;
  margin-bottom: 4px;
  margin-top: 0px;
  line-height: 20px!important;
}

header .version {
  color: #333;
  padding-top: 0px;
  font-weight: 300;
  font-size: 1.2em;
}

a {
  text-decoration: none;
}


.ign-navigation {
    flex-grow: 1;
}

header {
 text-align: center;
 padding: 10px;
 padding-bottom: 0px;
}

.ign-navigation .mdl-navigation__link {
  display: flex !important;
  flex-direction: row;
  align-items: center;
  color: rgba(255, 255, 255, 0.56);
  font-weight: 500;
  text-decoration: none;
}

.ign-navigation .mdl-navigation__link:hover {
  background-color: #00BCD4;
  color: #37474F;
}

.ign-navigation .mdl-navigation__link .material-icons {
  font-size: 24px;
  color: rgba(255, 255, 255, 0.56);
  margin-right: 32px;
}

/* Doxygen generated CSS */
div.header
{
  background-image: none;
  padding: 20px;
}

div.headertitle
{
  padding-top: 40px;
	padding-right: 0px;
}
div.title
{
  padding-top: 10px;
  font-size: 32px;
  font-weight: 400;
  line-height: 1em;
  color: #424242;
}


div.contents {
  padding-left: 20px;
  padding-right: 20px;
  padding-top: 0px;
}

.navpath {
  background-color: #eeeeee;
}

.navpath ul
{
	list-style-type:none;
	font-size: 11px;
	height:30px;
	line-height:30px;
	color:#8AA0CC;
  margin: 0;
}

.navpath li
{
  float: left;
  display: inline;
	color:#364D7C;
}

.navpath li:after
{
  content: ">";
  display: inline;
	padding-left: 10px;
	padding-right: 10px;
}
.navpath li:last-child:after
{
  content: "";
}

.navpath a
{
	height:32px;
	display:inline;
	text-decoration: none;
	outline: none;
}

.navpath a:hover
{
	color:#6884BD;
}

div.summary
{
	float: right;
	font-size: 8pt;
	padding-right: 5px;
	width: 50%;
	text-align: right;
}

div.summary a
{
	white-space: nowrap;
  border: 1px solid #eeeeee;
  padding: 10px;
}

div.summary a:hover
{
  border: 1px solid #ff7043;
}

h2 {
  font-size: 26px;
}

h2.groupheader:first-of-type {
  margin-top: 0px;
}

h2.groupheader {
  margin-top: 40px;
}

h3 {
    font-size: 22px;
}

/* @group Member Descriptions */
table.memberdecls {
	border-spacing: 0px;
	padding: 0px;
  font-size: 14px;
  display: table;
}

table.params {
	border-spacing: 0px;
	padding: 0px;
  font-size: 14px;
  display: table;
}

table.params tbody {
  vertical-align: top;
}

tbody {
  display: table-row-group;
  vertical-align: middle;
}


tr:hover .memItemLeft,
tr:hover .memTemplItemLeft {
  border-right: 1px solid #ff7043;
}

tr.memItem {
  display: table-row;
}

.memItemLeft, .memTemplItemLeft {
  display: table-cell;
  white-space: nowrap;
  border-right: 1px solid #eeeeee;
}

.memItemRight,
.memTemplItemRight {
  display: table-cell;
}

.mdescLeft, .mdescRight {
	padding: 0px 8px 0px 20px;
	color: #555;
  font-size: 12px;
  color: #939393;
}

.mdescRight > a {
  color: #939393;
}

.memitem {
  margin: 0px;
  margin-bottom: 10px;
  padding: 0px;
}

.memproto {
  background-color: #eeeeee;
  padding: 2px;
  padding-top: 0px;
}

.memdoc {
  padding: 2px;
  border-bottom: 1px solid #eeeeee;
  border-left: 1px solid #eeeeee;
  border-right: 1px solid #eeeeee;
}

.mlabels-right {
  text-align: right;
}

.memname {
  font-weight: 600;
}
.paramtype {
  font-weight: normal;
}
.paramname {
  font-weight: 600;
}
.mlabel {
  padding: 4px;
  margin-right: 10px;
  background-color: #757575;
  color: #ffffff;
  border-radius: 4px;
  font-size: 12px;
}

.title .mlabel {
  float: right;
}

table.mlabels {
  width: 100%;
}

/* @end */

/* @group Code Colorization */

.fragment {
	font-family: monospace, fixed;
	font-size: 105%;
  border: 1px solid #bdbdbd;
  padding: 10px;
  margin: 20px;
  overflow-x:auto;
}

pre.fragment {
	border: 1px solid #C4CFE5;
	background-color: #FBFCFD;
	padding: 4px 6px;
	margin: 4px 8px 4px 2px;
	overflow: auto;
	word-wrap: break-word;
	font-size:  9pt;
	line-height: 125%;
}

a.code {
	color: #4665A2;
}

a.codeRef {
	color: #4665A2;
}

span.keyword {
	color: #008000
}

span.keywordtype {
	color: #604020
}

span.keywordflow {
	color: #e08000
}

span.comment {
	color: #800000
}

span.preprocessor {
	color: #806020
}

span.stringliteral {
	color: #002080
}

span.charliteral {
	color: #008080
}

span.vhdldigit { 
	color: #ff00ff 
}

span.vhdlchar { 
	color: #000000 
}

span.vhdlkeyword { 
	color: #700070 
}

span.vhdllogic { 
	color: #ff0000 
}

.line {
  min-height: 1em;
  white-space: pre;
}

/* @end */

div.qindex {
  background-color: #eeeeee;
  padding: 10px;
}

table.classindex {
  margin: 20px;
  font-size: 12px;
}

a.el {
  font-weight: 400;
}

div.ah {
  font-size: 16px;
	font-weight: 300;
  border: 1px solid #bdbdbd;
  padding: 10px;
}

table.classindex tr td a:first-of-type {
  font-weight: bold;
  font-size: 14px;
}

.levels {
  text-align: right;
}

.levels > span {
  border: 1px solid #bdbdbd;
  padding: 4px;
  margin-left: 10px;
  margin-right: 2px;
}

.levels > span:hover {
  border: 1px solid  #ff7043;
  cursor: pointer;
}

.icona {
  font-size: 12px;
  padding: 4px;
  background-color: #757575;
  color: #fff;
  margin-right: 10px;
  margin-left: 10px;
  border-radius: 4px;
}

.arrow {
  width: 16px!important;
  height: 22px;
  display: inline-block;
  user-select: none;
  cursor: pointer;
}

table.directory {
  margin-top: 20px;
  width: 100%;
}

table.directory tr td {
  padding: 10px;
}

.even {
  background-color: #eee;
}

td.entry {
  white-space: nowrap;
  padding-right: 6px;
  padding-top: 3px;
  width: 25%;
}

td.desc {
  font-weight: 300;
}

.inherit {
  background-color: #eee;
}

.inherit_header {
        font-weight: bold;
        color: gray;
        cursor: pointer;
	-webkit-touch-callout: none;
	-webkit-user-select: none;
	-khtml-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
}

.inherit_header td {
        padding: 6px 0px 2px 5px;
}

.inherit {
        display: none;
}

dl.return, dl.see {
  font-weight: 400;
}

.memtitle {
  display: table;
}

h2.memtitle {
  font-size: 22px;
  margin-bottom: 0px;
  background-color: #eeeeee;
  padding: 2px;
  padding-right: 8px;
  vertical-align: middle;
}
.overload {
  font-size: 65%;
}

@media only screen and (max-width: 600px) {
  div.headertitle
  {
    padding-top: 10px;
  }

  div.summary
  {
  	float: none;
  	font-size: 8pt;
  	padding-right: 5px;
    text-align: left;
    width: 100%;
  }

  div.summary a
  {
    display: inline-block;
  	white-space: nowrap;
    border: 0px;
    padding: 4px;
  }

  .permalink {
    display: table-cell;
    vertical-align: middle;
  }

  div.title {
    font-size: 28px;
  }
  h2 {
    font-size: 24px;
  }
  h3 {
    font-size: 20px;
  }
  .mdescLeft, .mdescRight {
    display: none;
  }

  .memItemLeft, .memTemplItemLeft {
    display: block;
    text-align: left;
    border-right: 0px;
    font-weight: 500;
  }
  .memItemRight,
  .memTemplItemRight {
    display: block;
    border-bottom: 1px solid #eeeeee;
  }
}
